KAS-PURGE(1)

NAME
kas-purge - kas purge command

SYNOPSIS

            kas purge [-h] [--dry-run] [--isar-privileged | --isar-rootless]
                      [--preserve-repo-refs]
                      [config]

DESCRIPTION

Purge all data managed by kas, including managed repos.

Clears the contents of the build directory, sstate-cache, downloads and the repos managed by kas (including referenced repos in KAS_REPO_REF_DIR, if set). In KAS_WORK_DIR it will remove the default configuration file and the KAS_BUILD_DIR (if present). To preserve the reference repositories, run with --preserve-repo-refs. This command requires a configuration file to locate the managed repos.

Note:
        Before purging, kas needs to checkout and resolve all repos to locate the repos managed by kas.

OPTIONS

Positional Arguments

    config
        Config file(s), separated by colon. Using .config.yaml in KAS_WORK_DIR if existing and none is specified.

Named Arguments

    --dry-run=False
        Do not remove anything, just print what would be removed

    --isar-privileged=False, --isar=False
        Use ISAR (privileged) build directory layout

    --isar-rootless=False
        Use ISAR (rootless) build directory layout

    --preserve-repo-refs=False
        Do not remove the reference repositories

SEE ALSO

kas-plugin-clean, kas-plugin-cleanall, kas-plugin-cleansstate

KAS

Part of the kas(1) suite.

Author
Daniel Wagner, Jan Kiszka, Claudius Heine

Copyright
Siemens and contributors, 2017-2025